> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onefirewall.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Overwrite Decision

> This API is used to change / overwrite the decision based on score, in other words setting manually a IoC in whitelist or blacklist.



## OpenAPI

````yaml put /domains/{domain_name}
openapi: 3.0.2
info:
  title: OneFirewall Alliance - OpenAPI 3.0
  description: >-
    The API documentation site serves as a comprehensive resource for developers
    looking to utilize the OneFirewall Platform's application programming
    interface (API). It offers in-depth information on API endpoints,
    parameters, responses, and authentication processes. Additionally, it
    features practical examples and code snippets to assist developers in
    integrating the API into their own applications. The website is crafted to
    be user-friendly, intuitive, and easily navigable, enabling developers to
    swiftly locate the necessary information to begin working with the API.
  termsOfService: https://onefirewall.com/eula.html
  contact:
    email: support@onefirewall.com
    url: https://onefirewall.com/contact.html
    name: Engineering Division
  license:
    name: ''
    url: ''
  version: V4.18.0
servers:
  - url: https://app.onefirewall.com/api/v1
    description: OneFirewall Server
    variables: {}
security: []
tags:
  - name: IPv4 Feeds
    description: ''
    externalDocs:
      description: ''
      url: ''
  - name: IoCs
    description: ''
    externalDocs:
      description: ''
      url: ''
  - name: Tools
    description: ''
    externalDocs:
      description: ''
      url: ''
  - name: URL Feeds
    description: ''
    externalDocs:
      description: ''
      url: ''
  - name: Domain Feeds
    description: ''
    externalDocs:
      description: ''
      url: ''
  - name: Security Binary Feeds
    description: ''
    externalDocs:
      description: ''
      url: ''
  - name: Secure VPN
    description: Secure VPN by OneFirewall
    externalDocs:
      description: ''
      url: ''
  - name: WCF Agent
    description: ''
    externalDocs:
      description: ''
      url: ''
externalDocs:
  description: http://docs.onefirewall.com
  url: http://app.onefirewall.com
paths:
  /domains/{domain_name}:
    parameters:
      - in: path
        name: domain_name
        description: Domain name you wishing to gain information (must be valid format)
        schema:
          type: string
        required: true
    put:
      tags:
        - Domain Feeds
      summary: Overwrite Decision
      description: >-
        This API is used to change / overwrite the decision based on score, in
        other words setting manually a IoC in whitelist or blacklist.
      operationId: Domain
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                decision:
                  type: integer
                  description: >-
                    0 for whitelist, 1 for blacklist, -1 (default) for based on
                    score (not overwrite)
                  exclusiveMinimum: true
                  minimum: -2
                  exclusiveMaximum: true
                  maximum: 2
                  default: -1
              required:
                - decision
      responses:
        '200':
          description: ''
          content: {}
          headers: {}
      security:
        - Authorization: []
components:
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      description: Authorization Token
      name: Authorization

````